# openi18n upstream svn revision number
%define revision 2612

## 1 to bootstrap tarball
## 0 for already bootstrapped tarball
%define bootstrap 0

# for snapshots
#%%define branch trunk
#%%define srclabel %{branch}-svn%{revision}

# for releases
%define srclabel %{version}

## if macro _with_<subdir> is defined, it means subdir is to be built
#%%define _with_chewing_le %{nil}
#%%define _with_freewnn_le %{nil}
#%%define _with_m17n_le    %{nil}
#%%define _with_newpy_le   %{nil}
#%%define _with_sun_le_zh  %{nil}
#%%define _with_sun_le_ko  %{nil}

%define package_iiimqcf 1
%define package_iiimecf 1
## these are derived from above
%{expand: %%define package_chewing_le %{?_with_chewing_le:1}%{!?_with_chewing_le:0}}
%{expand: %%define package_freewnn_le %{?_with_freewnn_le:1}%{!?_with_freewnn_le:0}}
%{expand: %%define package_m17n_le %{?_with_m17n_le:1}%{!?_with_m17n_le:0}}
%{expand: %%define package_newpy_le %{?_with_newpy_le:1}%{!?_with_newpy_le:0}}
%{expand: %%define package_sun_le_zh %{?_with_sun_le_zh:1}%{!?_with_sun_le_zh:0}}
%{expand: %%define package_sun_le_ko %{?_with_sun_le_ko:1}%{!?_with_sun_le_ko:0}}

Summary: IIIMF multilingual Unicode input method framework
Name: iiimf
Epoch: 1
Version: 12.2
## for builds suffixed with the svn release please only increment the leading release number when updating
# append .svn%{revision} for snapshots
Release: 4
License: Distributable
Source: %{name}-src-%{srclabel}.tar.bz2
Source2: iiimd-init.d
Source3: iiimecf-init.el
Source4: xinput.d-iiimf
Source5: Iiimx.Xresource
URL: http://www.openi18n.org/subgroups/im/IIIMF/
Group: Applications/System
#Requires: intltool >= 0:0.29-1
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: tcp_wrappers
BuildRequires: Canna-devel >= 3.7p1-6
# for iiimgcf
BuildRequires: gtk2-devel, GConf2-devel
# for gimlet:
BuildRequires: gnome-panel-devel, libglade2-devel, libgnomeui-devel
BuildRequires: autoconf, automake, libtool, gettext, libxml2-devel
# csconv needs iconv.m4
Buildrequires: gettext-devel %{?_with_freewnn_le: FreeWnn-devel, flex} %{?_with_m17n_le: m17n-lib-devel}
%if %{package_iiimqcf}
Buildrequires: qt-devel
%endif
%if %{package_iiimecf}
BuildRequires: emacs
%endif

## non-categolized patches (0-)
### RH-specific (+50)

## GIMLET patches (100-)
Patch100: gimlet-desktop-dir-149226.patch
### RH-specific (+50~)

## IIIMECF patches (200-)
### RH-specific (+50~)

## IIIMGCF patches (300-)
Patch300: im-sdk-iiimgcf-warning.patch
Patch302: iiimgcf-event-status-done.patch
### RH-specific (+50~)
Patch350: iiimgcf-revert-to-r2562-for-slowness-workaround.patch

## IIIMJCF patches (400-)
### RH-specific (+50~)

## IIIMQCF patches (500-)
### RH-specific (+50~)
Patch550: iiimqcf-rh-build.patch

## IIIMSF patches (600-)
Patch600: im-sdk-11.4-iiimsf-daemon.patch
### RH-specific (+50~)
Patch650: iiimsf-rh-debuginfo.patch
Patch651: iiimsf-rh-per-user-hotkey.patch

## IIIMXCF(htt_xbe) patches (700-)
Patch700: htt_xbe-fix-build-20040203.patch
Patch701: htt_xbe-fix-crash-134035_140503.patch
Patch702: htt_xbe-fix-x86_64.patch
### RH-specific (+50~)
Patch750: htt_xbe-rh-fix-build-20040203.patch

## IIIMXCF(xiiimp) patches (800-)
### RH-specific (+50~)
Patch850: xiiimp-rh-fix-build-20040203.patch
Patch852: xiiimp-xft.patch
## warning patches are in the way so cannot merge with xft patch
## TODO: merge it when tar ball is merging the trunk
Patch853: im-sdk-12.1-x-xft-highlight.patch
Patch854: xiiimp-xft-statusarea-147457.patch

## IIIMP patches (900-)
### RH-specific (+50~)
Patch950: iiimp-revert-to-r2562-for-slowness-workaround.patch

## IIIMCF patches (1000-)
### RH-specific (+50~)
Patch1050: iiimcf-revert-to-r2562-for-slowness-workaround.patch

## LEIF toplevel patches (1900-)
### RH-specific (+50~)
Patch1950: leif-unit-xdict-silence-txt2bin.patch

## LEIF(Canna) patches (2000-)
### RH-specific (+50~)

## LEIF(chewing) patches (2100-)
### RH-specific (+50~)

## LEIF(FreeWnn) patches (2200-)
### RH-specific (+50~)

## LEIF(Hangul) patches (2300-)
### RH-specific (+50~)

## LEIF(NewPY) patches (2400-)
### RH-specific (+50~)

## LEIF(Sun Simplified Chinese) patches (2500-)
Patch2500: sun-chinese-le-libdir.patch
### RH-specific (+50~)

## LEIF(Sun Korea) patches (2600-)
### RH-specific (+50~)

## LEIF(Sun Traditional Chinese) patches (2700-)
### RH-specific (+50~)

## LEIF(UNIT) patches (2800-)
### RH-specific (+50~)
Patch2850: leif-unit-rh-fix-build-20040203.patch

## LEIF(Sun Thai) patches (2900-)
### RH-specific (+50~)

## LEIF(others) patches (4000-)

%description
IIIMF is a next generation multilingual Unicode input method framework,
which is a replacement of existing input method frameworks such as XIM.
This IIIMF implementation includes Language Engines for various Asian
languages allowing one to switch between inputting complex characters
in a number of different languages in supported applications.

%package docs
Summary: IIIMF documentation
Group: Documentation

%description docs
Provides IIIMF documentation

%if %{package_iiimecf}
%package emacs
Summary: Internet/Intranet Input Method Emacs Client Framework
Group: Applications/Editors
Requires: emacs-common

%description emacs
IIIMECF provides an Emacs library to make IIIM aware applications and
iiimcf-sc, a simple input method library controlled by IIIM server(s).
%endif

%package gnome-im-switcher
Summary: GNOME panel IM switcher and IM configuration tool
Group: User Interface/X
Prereq: gtk2 >= 2.6.0

%description gnome-im-switcher
GNOME panel input method applet and gnome input method configuration tool.

%package gtk
Summary: GTK input method module for iiimf
Group: User Interface/X
PreReq: %{_sbindir}/alternatives
Requires: iiimf-libs

%description gtk
Gtk Input Method Context for IIIM provides GUI to display input method 
status and to select input languages in your Gtk+ applicaitons.

%package libs
Summary: Internet/Intranet Input Method Framework libraries
Group: System Environment/Libraries
# iiimf-csconv was moved here after 12.1.1-7.svn2208
Obsoletes: iiimf-client-lib, iiimf-protocol-lib, iiimf-csconv <= 1:12.1.1-7.svn2208
Provides: iiimf-csconv = %{epoch}:%{version}-%{release}

%description libs
Provides Internet/Intranet Input Method Client Framework library.

%package libs-devel
Summary: Internet/Intranet Input Method development files
Group: Development/Libraries
Obsoletes: iiimf-client-lib-devel, iiimf-protocol-lib-devel
Requires: iiimf-libs = %{epoch}:%{version}-%{release}

%description libs-devel
This package contains development files for IIIMF.

%if %{package_iiimqcf}
%package qt
Summary: Qt Input Method module
Group: User Interface/X
#PreReq: %{_sbindir}/alternatives

%description qt
Qt Input Method module for iiimf.
%endif

%package server
Summary: IIIMF input method server
Group: Applications/System
Obsoletes: im-sdk
Requires(pre): /usr/sbin/useradd, /usr/sbin/usermod
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig, /usr/sbin/userdel
Requires(postun): /sbin/service

%description server
IIIMF server is a server module of Internet/Intranet Input Method Framework.

%package x
Summary: IIIMF XIM BackEnd module
Group: User Interface/X
PreReq: %{_sbindir}/alternatives
Requires: iiimf-libs

%description x
Provides XIM bridge modules through which legacy XIM clients should
be able to communicate to IIIMF server.

# primary Language Engine (LE) subpackages

%package le-canna
Summary: Japanese Canna engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-canna
Provides Japanese Canna engine for iiimf-server

%package le-hangul
Summary: Korean language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-hangul
Provides Korean language engine for iiimf-server

%package le-unit
Summary: Unit language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-unit
Provides Unit language engine for iiimf-server.

%package le-sun-thai
Summary: Thai language engine from Sun for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall
Obsoletes: iiimf-le-sun-asia

%description le-sun-thai
Thai language engine from Sun for iiimf-server.

# secondary LEs

%if %{package_freewnn_le}
%package le-freewnn
Summary: Japanese FreeWnn engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-freewnn
Provides Japanese FreeWnn engine for iiimf-server
%endif

%if %{package_m17n_le}
%package le-m17n
Summary: m17n-lib language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-m17n
Provides m17n-lib language engine for iiimf-server
%endif

%if %{package_newpy_le}
%package le-newpy
Summary: New Pinyin language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-newpy
Provides New Pinyin language engine for iiimf-server
%endif

%if %{package_sun_le_ko}
%package le-sun-korea
Summary: Korean language engine from Sun for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-sun-korea
Provides Korean language engine from Sun for iiimf-server
%endif

%if %{package_sun_le_zh}
%package le-sun-chinese
Summary: Chinese language engines from Sun for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall
Obsoletes: iiimf-le-sun-asia

%description le-sun-chinese
Provides Chinese language engines from Sun for iiimf-server
%endif

%if %{package_chewing_le}
%package le-chewing
Summary: Chewing Chinese language engine for iiimf-server
Group: System Environment/Libraries
Requires: iiimf-server
Requires(post): %{_bindir}/iiimf-le-tools, %{_bindir}/killall
Requires(preun): %{_bindir}/iiimf-le-tools
Requires(postun): %{_bindir}/killall

%description le-chewing
Provides Chewing Chinese language engine for iiimf-server
%endif

%define im_dir %{_libdir}/iiim
%define im_aclocal %{im_dir}/acfiles
%define im_includedir %{_includedir}/iiim
%define le_dir %{im_dir}/le

%define iiim_user iiimd
%define iiim_service iiim

%define indic_locale bn_BD bn_IN gu_IN hi_IN kn_IN ml_IN pa_IN ta_IN te_IN
%define iiimf_locale %{indic_locale} ja_JP ko_KR zh_CN zh_TW 

%define inst_xinput for llcc in %{iiimf_locale}; do alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/$llcc xinput-$llcc %{_sysconfdir}/X11/xinit/xinput.d/iiimf 80 ; done

%define uninst_xinput for llcc in %{iiimf_locale}; do alternatives --remove xinput-$llcc %{_sysconfdir}/X11/xinit/xinput.d/iiimf ; done

%define sendhup	%{_bindir}/killall -HUP iiimd >& /dev/null || :
%define instle %{_bindir}/iiimf-le-tools -g --install %{le_dir}/
%define uninstle %{_bindir}/iiimf-le-tools -g --remove %{le_dir}/

%prep
%setup -q -n %{name}-%{srclabel}
## non-categolized patches (0-)
### RH-specific (+50~)
## GIMLET patches (100-)
%patch100 -p1 -b .100-gnomecc
### RH-specific (+50~)
## IIIMECF patches (200-)
### RH-specific (+50~)
## IIIMGCF patches (300-)
%patch300 -p1 -b .300-warnings
%patch302 -p1 -b .302-status_end
### RH-specific (+50~)
%patch350 -p0 -R -b .350-revert-to-r2562
## IIIMJCF patches (400-)
### RH-specific (+50~)
## IIIMQCF patches (500-)
### RH-specific (+50~)
%patch550 -p1 -b .550-build
## IIIMSF patches (600-)
%patch600 -p1 -b .600-rh-daemon
### RH-specific (+50~)
%patch650 -p1 -b .650-rh-debuginfo
%patch651 -p1 -b .651-rh-per-user-hotkey
## IIIMXCF(htt_xbe) patches (700-)
%patch700 -p1 -b .700-build-20040203
%patch701 -p1 -b .701-fix-crash
%patch702 -p1 -b .702-fix-x86_64
### RH-specific (+50~)
%patch750 -p1 -b .750-rh-build-20040203
## IIIMXCF(xiiimp) patches (800-)
### RH-specific (+50~)
%patch850 -p1 -b .850-rh-build-20040203
%patch852 -p1 -b .852-xft
%patch853 -p1 -b .853-xft-highlight
%patch854 -p1 -b .854-xft-statusarea
## IIIMP patches (900-)
### RH-specific (+50~)
%patch950 -p0 -R -b .950-revert-to-r2562
## IIIMCF patches (1000-)
### RH-specific (+50~)
%patch1050 -p0 -R -b .1050-revert-to-r2562
## LEIF toplevel patches (1900-)
### RH-specific (+50~)
%patch1950 -p1 -b .1950-verbose
## LEIF(Canna) patches (2000-)
### RH-specific (+50~)
## LEIF(chewing) patches (2100-)
### RH-specific (+50~)
## LEIF(FreeWnn) patches (2200-)
### RH-specific (+50~)
## LEIF(Hangul) patches (2300-)
### RH-specific (+50~)
## LEIF(NewPY) patches (2400-)
### RH-specific (+50~)
## LEIF(Sun Simplefied Chinese) patches (2500-)
%patch2500 -p0 -b .2500-libdir
### RH-specific (+50~)
## LEIF(Sun Korea) patches (2600-)
### RH-specific (+50~)
## LEIF(Sun Traditional Chinese) patches (2700-)
### RH-specific (+50~)
## LEIF(UNIT) patches (2800-)
### RH-specific (+50~)
%patch2850 -p1 -b .2850-rh-build-20040203
## LEIF(others) patches (4000-)

%define le_base default canna hangul unit

%define le_extras leif/thai_le_sun %{?_with_m17n_le:leif/m17n_le} %{?_with_sun_le_ko:leif/sun_le_korea} %{?_with_sun_le_zh:leif/sch_le_sun leif/tch_le_sun}

%define gimlet iiimf-im-switcher

%define builddirs lib/CSConv lib/EIMIL lib/iiimp lib/iiimcf iiimsf iiimxcf/xiiimp.so iiimxcf/htt_xbe leif iiimgcf gnome-im-switcher doc %{le_extras}

%if %{bootstrap}
make bootstrap CONFIGDIRS="%{builddirs}"
%endif

%if !%{bootstrap}
# patch100 touches gnome-im-switcher/configure.ac
# patch650 touches iiimsf/src/Makefile.am
# patch750 touches iiimxcf/htt_xbe Makefile.am
# patch852 touches iiimxcf/xiiimp configure.ac and Makefile.am
# patch2500 touches leif/{sch_le_sun,tch_le_sun} configure.in
# patch2850 touches leif configure.ac and leif/unit Makefile.am
make bootstrap INTLDIRS="" BOOTSTRAP=autoreconf CONFIGDIRS="gnome-im-switcher iiimsf iiimxcf/htt_xbe iiimxcf/xiiimp.so leif %{?_with_sun_le_zh:leif/sch_le_sun leif/tch_le_sun}"
%endif

%build
export CFLAGS="-Wall $RPM_OPT_FLAGS"
export CXXFLAGS="-Wall $RPM_OPT_FLAGS"

for dir in %{builddirs}; do
	( cd $dir
	  %configure --with-imdir=%{im_dir}
        )
done

make compile BUILDDIRS="%{builddirs}" LE_TARGETS="%{le_base}" SRCNAME="%{name}-%{srclabel}"

%if %{package_iiimecf}
cd iiimecf
emacs -q --no-site-file -batch -l iiimcf-comp.el
make -C util
cd ..
%endif

%if %{package_iiimqcf}
cd iiimqcf/src
# make sure QTDIR is set correctly (needed in buildserver buildroots)
unset QTDIR && . /etc/profile.d/qt.sh
## why doesn't this work in buildsystem?
#%%global qt_im_dir %(echo $QTDIR)/plugins/inputmethods
%global qt_im_dir %{_libdir}/qt-3.3/plugins/inputmethods
IIIMQCF_PKG_CFLAGS=`/usr/bin/pkg-config --cflags qt-mt glib-2.0` IIIMQCF_PKG_LDADD=`/usr/bin/pkg-config --libs qt-mt glib-2.0` qmake
# fix the crap Makefile generated by qmake
mv Makefile Makefile.in
sed -e 's/-I-I/-I/g' -e 's/-I-D/-D/g' Makefile.in > Makefile
make
cd ../..
%endif

%install
rm -rf ${RPM_BUILD_ROOT}

# for gimlet
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install BUILDDIRS="%{builddirs}" LE_TARGETS="%{le_base}"
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang iiimf-im-switcher
%find_lang iiimgcf

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{iiim_service}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults
cp %{SOURCE5} $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/Iiimx

# remove unwanted devel files
rm $RPM_BUILD_ROOT%{im_dir}/xiiimp.{a,la}
rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/immodules/im-iiim.{a,la}

%if %{package_iiimecf}
cd iiimecf/lisp
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/{iiimf,site-start.d}
install -m 644 *.el *.elc $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/iiimf
cd ../util
make install prefix=$RPM_BUILD_ROOT%{_prefix}
cd ../..
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d/iiimf-init.el
%endif

%if %{package_iiimqcf}
cd iiimqcf/src
install -d $RPM_BUILD_ROOT%{qt_im_dir}
install libiiimqcf.so $RPM_BUILD_ROOT%{qt_im_dir}
cd ../..
%endif

# install xinput.d file
install -D -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xinit/xinput.d/iiimf

# install xml config files
install -d $RPM_BUILD_ROOT%{_sysconfdir}/iiim
touch $RPM_BUILD_ROOT%{_sysconfdir}/iiim/le.xml.conf

# make ghost files
touch $RPM_BUILD_ROOT%{_sysconfdir}/{htt.conf,htt.conf.old}

# make sure dl modules are executable
chmod a+x $RPM_BUILD_ROOT%{le_dir}/*/*.so

# removing the unnecessary files
rm $RPM_BUILD_ROOT%{_bindir}/*test

# include required include and acfiles files
mkdir -p $RPM_BUILD_ROOT%{im_includedir}
cp include/{IM*,syscfg,threaddef}.h $RPM_BUILD_ROOT%{im_includedir}
cp -r include/{X11,iml} $RPM_BUILD_ROOT%{im_includedir}
mkdir -p $RPM_BUILD_ROOT%{im_aclocal}
cp acfiles/{check_{gtk,socket,sys,x,xml},im_common}.m4 $RPM_BUILD_ROOT%{im_aclocal}

%if ! %{package_newpy_le}
rm -rf $RPM_BUILD_ROOT%{le_dir}/newpy
%endif

%post gnome-im-switcher
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2  --makefile-install-rule /etc/gconf/schemas/gnome-im-switcher.schemas > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun gnome-im-switcher
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post gtk
[ -x "%{_bindir}/update-gtk-immodules" ] && %{_bindir}/update-gtk-immodules %{_target_platform}
[ -x "%{_bindir}/gtk-query-immodules-2.0" ] && %{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%{inst_xinput}

%postun gtk
[ -x "%{_bindir}/update-gtk-immodules" ] && %{_bindir}/update-gtk-immodules %{_target_platform}
[ -x "%{_bindir}/gtk-query-immodules-2.0" ] && %{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

if [ "$1" = 0 ]; then
   # remove alternative if iiimf-x isn't installed
   [ -r %{_sysconfdir}/X11/xinit/xinput.d/iiimf ] || %{uninst_xinput}
fi

%pre server
if ! /usr/sbin/usermod -d %{im_dir} %{iiim_user} >/dev/null 2>&1; then
  /usr/sbin/useradd %{iiim_user} -c "IIIMF server" -r -s /sbin/nologin -d %{im_dir} -M >/dev/null 2>&1
fi

if [ -f "%{_sysconfdir}/htt.conf" ]; then
  mv %{_sysconfdir}/htt.conf %{_sysconfdir}/htt.conf.old
fi

# migrate old config file
if [ ! -f "%{_sysconfdir}/iiim/iiimd.xml.conf" -a -f "%{_sysconfdir}/iiim/htt.xml.conf" ]; then
  mv %{_sysconfdir}/iiim/{htt,iiimd}.xml.conf
fi
exit 0

%post server
# make sure we own any old unix domain socket
[ -d %{_localstatedir}/run/iiim/.iiimp-unix ] && chown %{iiim_user}:%{iiim_user} -R %{_localstatedir}/run/iiim/.iiimp-unix

/sbin/chkconfig --add iiim
%{instle}default/default.so --default --lang en >& /dev/null || :
if /usr/sbin/usermod -d %{im_dir} htt >/dev/null 2>&1; then
  /usr/sbin/userdel htt 2>/dev/null 2>&1
fi

%preun server
if [ "$1" = 0 ] ; then
   %{uninstle}default/default.so >& /dev/null || :
  /sbin/service %{iiim_service} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{iiim_service}
  /usr/sbin/userdel %{iiim_user} 2>/dev/null 2>&1
fi

%postun server
if [ "$1" -ge "1" ]; then
  /sbin/service %{iiim_service} condrestart >/dev/null 2>&1
fi

%post x
%{inst_xinput}

%postun x
if [ "$1" = 0 ]; then
   # remove alternative if iiimf-gtk isn't installed
   [ -r %{_sysconfdir}/X11/xinit/xinput.d/iiimf ] || %{uninst_xinput}
fi

%post le-canna
%{instle}CannaLE/CannaLE.so --default >& /dev/null || :
%{sendhup}

%preun le-canna
if [ "$1" = 0 ]; then
  %{uninstle}CannaLE/CannaLE.so >& /dev/null || :
fi

%postun le-canna
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%post le-hangul
%{instle}hangul/hangul.so --default >& /dev/null || :
%{sendhup}

%preun le-hangul
if [ "$1" = 0 ]; then
  %{uninstle}hangul/hangul.so >& /dev/null || :
fi

%postun le-hangul
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%post le-unit
%{instle}unitle/unitle.so >& /dev/null || :
%{sendhup}

%preun le-unit
if [ "$1" = 0 ]; then
  %{uninstle}unitle/unitle.so >& /dev/null || :
fi

%postun le-unit
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%post le-sun-thai
%{instle}thaile/thaile.so >& /dev/null || :
%{sendhup}

%preun le-sun-thai
if [ "$1" = 0 ]; then
  %{uninstle}thaile/thaile.so >& /dev/null || :
fi

%postun le-sun-thai
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%if %{package_freewnn_le}
%post le-freewnn
%{instle}FreeWnnLE/FreeWnnLE.so >& /dev/null || :
%{sendhup}

%preun le-freewnn
if [ "$1" = 0 ]; then
  %{uninstle}FreeWnnLE/FreeWnnLE.so >& /dev/null || :
fi

%postun le-freewnn
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_m17n_le}
%post le-m17n
%{instle}m17nle/m17nle.so >& /dev/null || :
%{sendhup}

%preun le-m17n
if [ "$1" = 0 ]; then
  %{uninstle}m17nle/m17nle.so >& /dev/null || :
fi

%postun le-m17n
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_newpy_le}
%post le-newpy
%{instle}newpy/newpy.so >& /dev/null || :
%{sendhup}

%preun le-newpy
if [ "$1" = 0 ]; then
  %{uninstle}newpy/newpy.so >& /dev/null || :
fi

%postun le-newpy
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_sun_le_ko}
%post le-sun-korea
%{instle}kole/kole.so >& /dev/null || :
%{sendhup}

%preun le-sun-korea
if [ "$1" = 0 ]; then
  %{uninstle}kole/kole.so >& /dev/null || :
fi

%postun le-sun-korea
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_sun_le_zh}
%post le-sun-chinese
%{instle}cle/cle.so >& /dev/null || :
%{instle}twle/twle.so >& /dev/null || :
%{sendhup}

%preun le-sun-chinese
if [ "$1" = 0 ]; then
  %{uninstle}cle/cle.so >& /dev/null || :
  %{uninstle}twle/twle.so >& /dev/null || :
fi

%postun le-sun-chinese
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%if %{package_chewing_le}
%post le-chewing
%{instle}chewing/chewing.so >& /dev/null || :
%{sendhup}

%preun le-chewing
if [ "$1" = 0 ]; then
  %{uninstle}chewing/chewing.so >& /dev/null || :
fi

%postun le-chewing
if [ "$1" = 0 ]; then
  %{sendhup}
fi
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files docs
%defattr(-, root, root,-)
%{_datadir}/doc/IIIM

%if %{package_iiimecf}
%files emacs
%defattr(-, root, root,-)
%doc iiimecf/{COPYING,lisp/ChangeLog,README*}
%{_datadir}/emacs/site-lisp/iiimf
%{_datadir}/emacs/site-lisp/site-start.d/iiimf-init.el
%{_bindir}/udclient
%endif

%files -f iiimgcf.lang gtk
%defattr (-, root, root,-)
%{_libdir}/gtk-2.0/*/immodules/im-iiim.so
%{_sysconfdir}/X11/xinit/xinput.d

%files -f iiimf-im-switcher.lang gnome-im-switcher
%defattr (-, root, root,-)
%doc gnome-im-switcher/{AUTHORS,COPYING,ChangeLog,README}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/bonobo
%{_libexecdir}/gnome-im-switcher-applet
%{_datadir}/gnome-2.0
%{_datadir}/%{gimlet}
%{_datadir}/gnome/help/imswitcher
%{_datadir}/omf/%{gimlet}
%{_bindir}/gnome-im*
%{_datadir}/applications/gnome-im-properties.desktop
%{_datadir}/control-center-2.0
%{_datadir}/icons/hicolor
%{_datadir}/pixmaps/gimlet*.png
%{_datadir}/pixmaps/gnome*.png

%files libs
%defattr (-, root, root,-)
%dir %{im_dir}
#%%{_libdir}/libEIMIL.so.*
%{_libdir}/libiiimcf.so.*
%{_libdir}/libiiimp.so.*
%{_libdir}/libiiimutils.so.*
%{im_dir}/csconv

%files libs-devel
%defattr (-, root, root,-)
%dir %{im_dir}
%{im_includedir}
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig
%{im_aclocal}

%if %{package_iiimqcf}
%files qt
%defattr (-, root, root,-)
%{qt_im_dir}
%endif

%files server
%defattr (-, %{iiim_user}, %{iiim_user})
%dir %{_localstatedir}/run/iiim
%dir %{_localstatedir}/log/iiim
%defattr (-, root, root,-)
%dir %{_sysconfdir}/iiim
%{_sysconfdir}/rc.d/init.d/*
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/htt.conf
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/htt.conf.old
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/iiim/iiimd.xml.conf
%ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/iiim/le.xml.conf
%{_bindir}/iiimd
%{im_dir}/iiimd-watchdog
%{_bindir}/iiimf-le-tools
%{_libexecdir}/iiimf-segv-logger
%dir %{le_dir}
%{le_dir}/default*
%dir %{_datadir}/iiim
%{_datadir}/iiim/gdbcmd

%files x
%defattr (-, root, root,-)
%dir %{im_dir}
#%{_sysconfdir}/iiim/xsession
%{_bindir}/iiimx
%{im_dir}/iiim-xbe
%{im_dir}/xiiimp.so*
%{_sysconfdir}/X11/xinit/xinput.d
%{_prefix}/X11R6/lib/X11/app-defaults/Iiimx

# primary LEs

%files le-canna
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/CannaLE

%files le-hangul
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/hangul

%files le-unit
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/unitle

%files le-sun-thai
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/thaile

# secondary LEs

%if %{package_freewnn_le}
%files le-freewnn
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/FreeWnnLE
%endif

%if %{package_freewnn_le}
%files le-m17n
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/m17nle
%endif

%if %{package_newpy_le}
%files le-newpy
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/newpy
%endif

%if %{package_sun_le_ko}
%files le-sun-korea
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/kole
%endif

%if %{package_sun_le_zh}
%files le-sun-chinese
%defattr (-, root, root,-)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/cle
%{le_dir}/twle
%endif

%if %{package_chewing_le}
%files le-chewing
%defattr (-, root, root, -)
%dir %{im_dir}
%dir %{le_dir}
%{le_dir}/chewing
%{_libdir}/libchewing.so*
%dir %{im_dir}/share
%{im_dir}/share/chewing
%endif

%changelog
* Mon May 23 2005 Jens Petersen <petersen@redhat.com> - 1:12.2-4
- really move gnome-im-properties.desktop to applications dir (#149226)
- pass _target_platform instead of _host to update-gtk-immodules

* Mon May  9 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.2-3
- Iiimx.Xresource: added a X resource file for iiimx, including
  the conversionOnKeys resource to allow shift+space. (#138309)

* Mon May  9 2005 Jens Petersen <petersen@redhat.com> - 1:12.2-2
- add gimlet-desktop-dir-149226.patch to install desktop file in the right
  place (Mark McLoughlin, 149226)

* Tue May  3 2005 Jens Petersen <petersen@redhat.com> - 1:12.2-1
- update to final upstream 12.2 release
  - the following patches are now upstream:
    iiimgcf-multilib-r2584-155960.patch,
    iiimsf-shift-space-for-korean-r2592-156171.patch,
    htt_xbe-correct-error-message-r2594-156169.patch,
    xiiimp-multilib-r2585-155963.patch
  - no longer need to rebootstrap iiimgcf

* Thu Apr 28 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.2-0.7.svn2578
- iiimsf-shift-space-for-korean-r2592-156171.patch: applied to allow
  shift+space for Korean. (#156171)
- htt_xbe-correct-error-message-r2594-156169.patch: applied to correct
  the error message for iiimx. (#156169)
- iiimsf-rh-per-user-hotkey.patch: updated to get it working really. (#118023)

* Thu Apr 28 2005 Jens Petersen <petersen@redhat.com> - 1:12.2-0.5.svn2578
- add iiimgcf-event-status-done.patch to fix status_done event (Ervin Yan)
- silence verbose build output of x_txt2bin with
  leif-unit-xdict-silence-txt2bin.patch
- add bootstrap macro variable to control whether tarball needs full bootstrap

* Wed Apr 27 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.2-0.4.svn2578
- iiimgcf-multilib-r2584-155960.patch: applied to get it working on 64bit archs
  properly. (#155960)
- xiiimp-multilib-r2585-155963.patch: applied to get it working on 64bit archs
  properly. (#155963)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 1:12.2-0.3.svn2578
- silence gtk-update-icon-cache in gimlet %%post and %%postun

* Tue Apr 26 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.2-0.2.svn2578
- reverted r2563's changes to fix the slow starting gtk+ applications.
  - iiimcf-revert-to-r2562-for-slowness-workaround.patch
  - iiimgcf-revert-to-r2562-for-slowness-workaround.patch
  - iiimp-revert-to-r2562-for-slowness-workaround.patch
- re-bootstrap the iiimsf subdir too.

* Tue Apr 26 2005 Jens Petersen <petersen@redhat.com>
- only re-bootstrap the subdirs whose autotools files get patched

* Tue Apr 26 2005 Jens Petersen <petersen@redhat.com> - 1:12.2-0.1.svn2578
- update to initial RC tarball of 12.2 branch
- separate init.d file from upstream version

* Mon Apr 25 2005 Akira TAGOH <tagoh@redhat.com>
- New upstream RC release.
  - support the configurable hotkey. (#118023)
- iiimsf-rh-per-user-hotkey.patch: applied to allow a per-user hotkey configuration.

* Fri Apr 22 2005 Jens Petersen <petersen@redhat.com> - 1:12.1.1-17.svn2566
- update to latest trunk
  - update iiimqcf-rh-build.patch
  - minor gimlet fixes
    - language in apps now follows quick-menu by default (Warren Togami,136991)
    - new icons by Diana Fong
    - no longer needs to be configured --with-status-default-under-app

* Wed Apr 20 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-16.svn2532
- update to latest trunk r2532
  - Fixed a crash issue during preediting with iiimqcf (#154374)
  - Fixed a crash issue when LE is switched on Qt applications (#155211)

* Mon Apr 18 2005 Jens Petersen <petersen@redhat.com> - 1:12.1.1-15.svn2509
- update to latest trunk
  - iiimgcf-fix-status-position-with-focusin-r2483-139809.patch and
    leif-unit-U+000A-r2484-132936.patch no longer needed
  - add sun-chinese-le-libdir.patch to make cle and twle install under libdir
  - update iiimqcf-rh-build.patch
- leif-default-LEs-built.patch no longer needed, since we override LE_TARGETS
- add xiiimp-xft-statusarea-147457.patch to fix segfaulting in some xim apps
  (Kohji Sanpei, #147457, #141298)

* Fri Apr 15 2005 Akira TAGOH <tagoh@redhat.com>
- leif-unit-U+000A-r2484-132936.patch: applied to fix not committing an enter
  with U+000A on UNICODE-HEX. (#132936)

* Thu Apr 14 2005 Akira TAGOH <tagoh@redhat.com>
- iiimgcf-fix-status-position-with-focusin-r2483-139809.patch:
  Fixed not updating the status window position when the window focus was
  changed with alt+tab. (#139809)
- Use %%find_lang macro instead of listing %%{_datadir}/locale directly.
- Fixed the unwanted own directories. (#154602)
  - %%{_libexecdir}
  - %%{_sysconfdir}/gconf/schemas
  - %%{_datadir}/emacs/site-lisp
  - %%{_datadir}/pixmaps
- Added Requires: emacs-common for iiimf-emacs.

* Thu Apr 14 2005 Jens Petersen <petersen@redhat.com> - 1:12.1.1-14.svn2476
- update to latest snapshot with bootstrapping fixes
  - init.d-iiimd-RH.patch upstreamed
  - no longer make update-acfiles
  - update iiimqcf-rh-build.patch
- add --with-m17n-le rpmbuild option
  - add buildrequires m17n-lib-devel
  - add le-m17n subpackage
  - not yet built by default
- swap csconv iconv.m4 comment and buildrequires to gettext-devel
- replace requires(post,preun) with safer prereq's
- rename le_targets to le_base, which lists defaults LEs built
- add macro le_extras to list extra LEs (thaile, kole, schle, tchle)
- add macro gimlet to hold iiimf-im-switcher package name
- bootstrap builddirs in %%prep
- run %%configure over builddirs, and drop config_options macro 
- use new toplevel compile target
- only install .m4 aclocal files that are useful outside the source tree

* Tue Apr 12 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-13.svn2469
- updates to svn2469.
  - fixed not working after switching LE. (#154372)
  - show a message when cannaserver isn't running.
  - fixed the freeze issue on x86_64. (#152947)
- check if %%{_localstatedir}/run/iiim/.iiimp-unix exists.

* Fri Apr  8 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-12.svn2435
- le.xml.conf is now marked as %%ghost.
- delete a htt user only when it still exists. (#154207)

* Mon Apr  4 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-11.svn2435
- update to svn2435
  - fallback LEs properly with XIM. (#139811)
  - iiimecf works now with even the unix domain socket. (#143759)
- added Provides: iiimf-csconv stuff for iiimf-libs agaist the Package Naming
  Guidelines.
- iiimsf-rh-debuginfo.patch: build with corrent path for -debuginfo.
- iiimqcf-rh-build.patch: updated to build iiimqcf.
- added epoch to upgrade iiimf-csconv with iiimf-libs correctly. (Jens Petersen)

* Fri Apr  1 2005 Akira TAGOH <tagoh@redhat.com>
- update to svn2421
  - fixed the hardcoded IMDIR path. (#131936)
  - annoying 'status has not been enabled yet' syslog message was gone. (#135284)
  - fixed the crash issue on GTK+ when it's destroying. (#153020)
- call iiimf-le-tools with -g option.
- also call iiimf-le-tools with the valid LE path.
- these patches are merged into upstream:
  - iiimsf-rh-gcc4.patch
  - htt_xbe-rh-gcc4.patch
  - leif-unit-tamil-phonetic-135035.patch
  - leif-unit-gu-inscriptfix-140337.patch

* Tue Mar 29 2005 Jens Petersen <petersen@redhat.com>
- iiimf-emacs changes
  - rename init file to iiimf-init.el
  - rename elisp subdir to iiimf
  - set iiimcf-server-control-hostlist to use unix/:9010 by default
  - build and install udclient
  - install elisp files mode 644
- just change the ownership of %{_localstatedir}/run/iiim/.iiimp-unix and below
  when upgrading (Akira Tagoh)

* Mon Mar 28 2005 Jens Petersen <petersen@redhat.com> - 1:12.1.1-10.svn2390
- update to svn2390
- add macros le_targets to set LE_TARGETS to build instead of specifying
  extra LEs with builddirs
  - thaiLE is still in builddirs for now since it needs to be bootstrapped
- define iiim_user and iiim_service macros and use them
- revert iiimd service to iiim for now to avoid breaking updates
- make sure iiimd owns unix domain socket after upgrade

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> - 1:12.1.1-9.svn2388
- Update the GTK+ theme icon cache on (un)install

* Fri Mar 25 2005 Jens Petersen <petersen@redhat.com> - 1:12.1.1-8.svn2388
- source package renamed from im-sdk to iiimf
- update to svn2388
  - update htt_xbe-rh-fix-build-20040203.patch,
    im-sdk-rh-fix-build-20040203.patch, leif-sch_le_sun-fix-build.patch,
    leif-tch_le_sun-fix-build.patch, 
  - no longer need iiim.init-retryonerror.patch, iiimgcf-rh-autotools.patch,
    im-sdk-bin_dir.patch, im-sdk-rh-autotools.patch,
    leif-sampleja3-fix-gcc4.patch,
    xiiimp-fix-double-encoded-utf8-r2272-138618.patch,
    im-sdk-11.4-sun-le-asia.patch, im-sdk-11.4-sun-le-korean.patch,
    leif-sch_le_sun-fix-build.patch, leif-sun-zh-disable.patch,
    leif-tch_le_sun-fix-build.patch
  - move csconv subpackage into iiimf-le-libs
    - csconv buildrequires gettext-devel for iconv.m4
  - update im_dir to libdir/iiim, and instle and uninstle
  - im_includedir is now under %{_includedir} following new file layout
  - turn on iiimqcf again
    - update iiimqcf.pro-build.patch to link to libs in buildtree
  - note libEIMIL is no longer installed
  - update xinput.d-iiimf to iiimx (Akira Tagoh)
  - README.iiimecf is no longer needed (Akira Tagoh)
  - add init.d-iiimd-RH.patch to fix iiimd path
  - update pre/post scripts to use iiimd instead of htt for daemon and its user
    (Akira Tagoh)
- cleanup %%build and %%install
  - no longer find and replace /usr/lib/im by hand for multilib
  - use script based on toplevel build target instead of make config with
    CONFIGDIR and building subdirs by hand
    - macro builddirs lists subdirs to build
    - building of optional LEs is switched on by defining _with_LENAME macros
    - config_options carries configure options passed now to autogen.sh
  - use toplevel install target with builddirs too instead of installing
    each subdir by hand
  - buildrequire automake and autoconf, not automake16
  - define im_aclocal and le_dir and use them
  - add leif-default-LEs-built.patch to only build default, unit, hangul and
    canna LEs by default in leif/
- remove im-sdk-xft-ac.patch, since PKG_CHECK_MODULES is provided by pkgconfig

* Fri Mar 11 2005 Akira TAGOH <tagoh@redhat.com>
- xiiimp-fix-double-encoded-utf8-r2272-138618.patch: use a backported patch
  instead of.

* Mon Mar  7 2005 Akira TAGOH <tagoh@redhat.com>
- updates the snapshot to svn2241.
  - Thai LE was back again.
- removed some unnecessary upstream patches anymore.
  - iiimgcf-dont-always-emit-commit-signal-r2231.patch
  - iiimgcf-commit-after-reset-ic-r2235.patch
  - xiiimp-fix-warnings.patch

* Fri Mar  4 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-7.svn2208
- iiimgcf-commit-after-reset-ic-r2235.patch: emit commit signal after resetting
  IC was done to avoid the double-commit.
- xiiimp-fix-double-encoded-utf8.patch: applied to fix the double-encoded utf-8
  problem. (#138618)

* Thu Mar  2 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-6.svn2208
- iiimgcf-dont-always-emit-commit-signal-r2231.patch: applied to not emit
  commit signal when there is no preedit string.

* Thu Mar  2 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-5.svn2208
- Use %%{_host} instead of %%{_arch}-%%{_host_vendor}-%%{_host_os} for calling
  update-gtk-immodule like gtk2 does. otherwise gtk2 won't read the correct
  gtk.immodules.
- leif-sampleja3-fix-gcc4.patch: applied to fix the build fails for gcc4.

* Tue Mar  1 2005 Tomas Mraz <tmraz@redhat.com> - 1:12.1.1-4.svn2208
- added patch to be able to build with gcc4
- rebuild with openssl-0.9.7e

* Thu Feb 24 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-3.svn2208
- update to svn2208.
  - removed iiimgcf-fix-gtk_im_context_reset.patch.

* Thu Feb 17 2005 Akira TAGOH <tagoh@redhat.com>
- iiimgcf-fix-gtk_im_context_reset.patch: applied to implement
  gtk_im_context_reset(). (#137398)

* Wed Feb  9 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-2.svn2191
- leif-sch_le_sun-fix-build.patch: applied to fix the build issue on x86-64.
- leif-tch_le_sun-fix-build.patch: applied to fix the build issue on x86-64.

* Tue Feb  8 2005 Akira TAGOH <tagoh@redhat.com> - 1:12.1.1-1.svn2191
- update to the latest svn snapshot.
- removed patches so that these are no longer needed/merged into upstream:
  - gimlet-gcc-warnings-r2026-137389.patch
  - gimlet-lang-data-Indic-r2026-1341_94_136139.patch
  - gimlet-no-LE-lang-hang-r2055-139470.patch
  - htt_xbe-fix-gcc-warnings.patch
  - iiimcf-fix-deactivate-im-r2024.patch
  - iiimcf-fix-gcc-warnings-r2029.patch
  - iiimgcf-fix-gcc-warnings-r2020.patch
  - iiimp-fix-missing-prototype-r2084-140818.patch
  - iiimsf-disable-super-help-hotkey.patch
  - iiimsf-fix-auth-with-unixdomain-r2088-141468.patch
  - iiimsf-fix-gcc-warnings.patch
  - iiimsf-fix-init-state.patch
  - iiimsf-fix-signum-on-args.patch
  - iiimsf-hotkey-esckey-r2030.patch
  - iiimsf-stop-crash-dump.patch
  - im-sdk-12.0.1-canna-aux-refcount.patch
  - im-sdk-12.1-preserve-FLAGS.patch
  - im-sdk-12.1-leif-unit-warnings.patch
  - im-sdk-64bit.patch
  - leif-canna-fix-caret-position-r2070-136651.patch
  - leif-canna-fix-escape-from-aux.patch
  - leif-canna-fix-gcc-warnings.patch
  - leif-unit-fix-corrupt-memory-access.patch
  - leif-unit-fix-gcc-warnings.patch
  - leif-unit-latin-fixes-r2060.patch
  - leif-unit-sysime.cfg-Bengali-138633.patch
  - xiiimp-fix-gcc-warnings.patch
- clean up the spec file.
- iiimf-le-sun-thai isn't available anymore.

* Wed Dec  1 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.1-10
- iiimsf-fix-auth-with-unixdomain-r2088-141468.patch: applied to fix
  the denied access issue. (#141468)

* Tue Nov 30 2004 Jens Petersen <petersen@redhat.com>
- add leif-unit-latin-fixes-r2060.patch to help fix deadkeys in European layout
  of unitle (130851)

* Tue Nov 30 2004 Akira TAGOH <tagoh@redhat.com>
- iiimp-fix-missing-prototype-r2084-140818.patch: fixed not activating on ia64
  due to the lacking of some prototype declaration. (#140818)

* Wed Nov 23 2004 Akira TAGOH <tagoh@redhat.com>
- leif-canna-fix-caret-position-r2070-136651.patch: applied to fix current
  caret position. (#136651)

* Wed Nov 23 2004 Leon Ho <llch@redhat.com> 
- new im-sdk-htt_xbe-crash.patch (Yu Shao, #140503)

* Tue Nov 23 2004 Leon Ho <llch@redhat.com> 
- add leif-unit-gu-inscriptfix-140337.patch (Jatin Nansi, #140337)

* Mon Nov 22 2004 Leon Ho <llch@redhat.com> - 1:12.1-9
- add im-sdk-htt_xbe-crash.patch into spec (Yu Shao, #134035)

* Fri Nov 19 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.1-x-xft.patch: use sans-serif font instead of serif font. (#140000)
- iiimsf-disable-super-help-hotkey.patch: disabled "SUPER HELP" hotkey for
  a workaround, because of it's not used right now. (#140014)

* Fri Nov 19 2004 Leon Ho <llch@redhat.com>
- im-sdk-12.1-x-xft-highlight.patch: Fixed candidate highlight (#135366)

* Thu Nov 18 2004 Akira TAGOH <tagoh@redhat.com>
- leif-unit-tamil-phonetic-135035.patch: added an entry to build phonetic.data
  actually. (#135035)

* Wed Nov 17 2004 Jens Petersen <petersen@redhat.com> - 1:12.1-8
- gimlet applet fixes:
  - add gimlet-no-LE-lang-hang-r2055-139470.patch to fix hanging when no
    Language Engine for locale available (139470)
  - add leif-unit-sysime.cfg-Bengali-138633.patch to list unitle Bengali as
    just bn (138633)
  - use gimlet-lang-data-Indic-r2026-134194_136139.patch to add Indic native
    language names rather than overwriting (134194,136139)
- do not build Sun Chinese LEs when not packaging them
  - add leif-sun-zh-disable.patch
  - only need to remove common/ subdirs now

* Mon Nov 15 2004 Jens Petersen <petersen@redhat.com>
- make iiimf-gnome-im-switcher only own gnome-im-switcher-applet in
  %{_libexecdir} (139801)

* Thu Nov 11 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.1-7
- leif-canna-fix-escape-from-aux.patch: applied to escape from the aux menu
  with Escape key. (#138591)

* Wed Nov 10 2004 Jens Petersen <petersen@redhat.com>
- add Tamil phonetic layout with leif-unit-tamil-phonetic-135035.patch
  (Jatin Nansi, 135035)

* Wed Nov 10 2004 Akira TAGOH <tagoh@redhat.com>
- iiimsf-fix-init-state.patch: applied to fix the crash issue due to
  the uninitialized value. (#137007)

* Tue Nov  9 2004 Akira TAGOH <tagoh@redhat.com>
- iiimcf-fix-gcc-warnings-r2029.patch: backported from upstream svn
  (Yu Shao, 137389)
- iiimsf-stop-crash-dump.patch: applied for debugging purpose. (#137536)
  please run htt_server with IIIMF_DEBUG=1 to enable this feature. after this,
  it won't dumps the crash log into /var/log/iiim and you can do gdb manually.
- leif-unit-fix-corrupt-memory-access.patch: applied to fix corrupt memory
  access problem on UNIT LE. (#137007)

* Mon Nov  8 2004 Akira TAGOH <tagoh@redhat.com>
- htt_xbe-fix-gcc-warnings.patch: fixed 'httx always says Duplicate..' issue.
  (137389)
- leif-unit-fix-gcc-warnings.patch: applied to silence gcc warnings. (137389)

* Fri Nov  5 2004 Jens Petersen <petersen@redhat.com> - 1:12.1-6
- add xiiimp.so-gcc-warnings.patch to fix some gcc warnings (137389)
- add im-sdk-iiimgcf-warning.patch (Yu Shao, 137389)

* Fri Nov  5 2004 Akira TAGOH <tagoh@redhat.com>
- iiimsf-fix-gcc-warnings.patch: applied to fix the gcc warnings. (137389)
- iiimgcf-fix-gcc-warnings-r2020.patch: backported from svn to fix the gcc
  warnings. (137389)

* Thu Nov  4 2004 Akira TAGOH <tagoh@redhat.com>
- xiiimp-fix-gcc-warnings.patch: separated from iiimxcf-fix-gcc-warnings.patch
  for sure. (137389)
- htt_xbe-fix-gcc-warnings.patch: use this reworked patch instead of
  iiimxcf-fix-gcc-warnings.patch. this also contains a fix to start the threads
  properly. (137389,137959)

* Tue Nov  2 2004 Jens Petersen <petersen@redhat.com> - 1:12.1-5
- add gimlet-gcc-warnings-r2026-137389.patch to fix gcc compilation warnings
  (137389)
- get rid of %%is_snapshot and simplify %%srclabel setup

* Tue Nov  2 2004 Leon Ho <llch@redhat.com>
- im-sdk-12.1-leif-unit-warnings.patch - applied to clean up some major
  warnings on r12.1 unitLE (137389)
- remove im-sdk-20030618-varargs.patch as unitle has changed s/logf()/log_f()/
- disable leif-unit-revert-1961~1971.patch for now for further debug

* Mon Nov  1 2004 Akira TAGOH <tagoh@redhat.com>
- iiimsf-hotkey-esckey-r2030.patch: applied to escape from the switch lang menu
  with Escape key. (#136628)

* Fri Oct 29 2004 Akira TAGOH <tagoh@redhat.com>
- leif-canna-fix-gcc-warnings.patch: applied to clean up the gcc warnings
  on Canna LE. (137389)
- iiimsf-fix-signum-on-args.patch: applied to fix outputing the wrong signal
  number into logs. (#137538)
- iiimxcf-fix-gcc-warnings.patch: applied to clean up gcc warnings (137389)
- iiimcf-fix-deactivate-im-r2024.patch: backported to allow deactivating IM
  during inputing something on preedit. (#136643)

* Fri Oct 29 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.1-4
- leif-unit-revert-1961~1971.patch: reverted the changes for the per-user
  config stuff to avoid crashing when UNIT LE is loading. (#137007)

* Thu Oct 28 2004 Jens Petersen <petersen@redhat.com> - 1:12.1-3
- iiimf-gtk requires iiimf-libs to upgrade from FC2 without error and to run
  (137018) and iiimf-x requires iiimf-libs to run

* Wed Oct 20 2004 Akira TAGOH <tagoh@redhat.com>
- fix the ownership of %{im_dir}/share (#136306)

* Wed Oct 20 2004 Jens Petersen <petersen@redhat.com>
- update gimlet-lang-data.h to fix Bengali locale and add the native names
  of some more Indic languages (134194,136139)
- gimlet buildrequires libgnomeui-devel (Warren Togami)

* Tue Oct 19 2004 Leon Ho <llch@redhat.com> - 1:12.1-2
- fix xft to work on non-UTF8 locales (127809)
- add im-sdk-12.1-x86-64-vararg.patch (Yu Shao,134035)
- merged with original Xft patch

* Mon Oct 18 2004 Jens Petersen <petersen@redhat.com> - 1:12.1-1
- update to 12.1 final (svn2002, stable r12_1 branch)
  - the following patches are included and so no longer needed:
    iiimsf-rename-and-install-under-libexec.patch,
    iiimsf-fix-missing-sockdir.patch and iiimsf-improve-segv-log.patch
  - update iiimsf-rh-debuginfo.patch
- fix debuginfo missing many files (136159)
  - add im-sdk-12.1-preserve-FLAGS.patch to prevent subpackages from overriding
    CFLAGS, CXXFLAGS and LDFLAGS so that debuginfo gets generated completely
  - include RPM_OPT_FLAGS in CFLAGS and CXXFLAGS
- add is_snapshot variable

* Sat Oct 16 2004 Akira TAGOH <tagoh@redhat.com>
- added iiimf-libs-devel Requires: iiimf-libs =
  %%{epoch}:%%{version}-%%{release} (#135977)

* Fri Oct 15 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-17.svn1994
- iiimsf-fix-missing-sockdir.patch: fixed not working at all
  if /var/run/iiim/.iiimp-unix or whatever is missing. (#135750)
- iiimsf-improve-segv-log.patch: improved the log messages. (Warren Togami)

* Fri Oct 15 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-16.svn1994
- iiimsf-rename-and-install-under-libexec.patch: backport patch from upstream.
  - rename the segfault logger to iiimf-segv-logger.
  - install the segfault logger under /usr/libexec, because it doesn't allow to
    run from the command line.
- fixed not working properly for -rh-debuginfo.patch.

* Fri Oct 15 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-15.svn1994
- update to newer tree
  - our init script pushed upstream
  - less of im-sdk-20040203-build.patch now needed
  - most of im-sdk-11.4-sun-le-korean.patch committed upstream
  - the following patches are now upstream and no longer needed:
     im-sdk-icuconv-gencnval-destdir-116224.patch,
     im-sdk-CSConv-ct_conf-de-116224.patch, im-sdk-11.4-initscript.patch,
     im-sdk-11.4-initscript-lock.patch, im-sdk-11.4-iiimsf-help.patch,
     im-sdk-12.0.1-iiimsf-xmlconf.patch,
     im-sdk-12.0.1-unix-domain-socket.patch,
     im-sdk-12.0.1-iiimsf-disable-tcp.patch,
     im-sdk-12.0.1-iiimsf-letool-usage.patch,
     iiimsf-fix-htt-retrycounter.patch, iiimsf-check-libxml2-func.patch,
     iiimsf-segvlogger.patch, iiimsf-fix-handling-of-args.patch,
     gimlet-1.1.0_1.1.1.diff, gimlet-status-under-app.patch,
     iiimqcf-update.diff, leif-canna-late-aux-init.patch,
     leif-canna-close-uicontext.patch, im-sdk-11.4-hangul-ignore-ctrl.patch,
     leif-hangul-just-ko.patch, leif-unit-indic-phonetic-layouts.patch,
     leif-chewing-fix-build.patch, leif-chewing-fix-build2.patch,
     leif-freewnn-ia64.patch, leif-default.patch
  - add iiim.init-retryonerror.patch to set retryonerror to 0 in init script
  - gimlet help updated and fixed (131219)
  - build gimlet with --with-status-default-under-app
  - fixes Hindi layout default order (Jatin Nansi,135034)
- disable iiimqcf
- build and install doc/ properly
- build sun_le_korea always like sun_le_asia

* Thu Oct 14 2004 Akira TAGOH <tagoh@redhat.com>
- iiimsf-fix-handling-of-args.patch: fixed giving the options for htt to
  htt_server.
- iiimsf-rh-debuginfo.patch: don't do backtrace on gdb if -debuginfo isn't
  installed.

* Wed Oct 13 2004 Akira TAGOH <tagoh@redhat.com>
- iiimsf-check-libxml2-func.patch: check if the function is available.
  otherwise use another API.
- iiimsf-segvlogger.patch: applied to store the gdb logs when htt_server
  segfaults.

* Tue Oct 12 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-14.svn1943
- leif-canna-close-uicontext.patch: close the UI context instead of finalizing
  the kana-kanji conversion. (#134039)

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-13.svn1943
- revert applying im-sdk-12.0.1-canna-aux-refcount.patch. (#134759, #134304)
- leif-canna-late-aux-init.patch: applied this instead of. (#132340)
- leif-default.patch: applied to make a dummy LE.

* Tue Oct  5 2004 Jens Petersen <petersen@redhat.com>
- add bn_BD to list of langs that use iiimf by default (Jatin Nansi,134194)

* Mon Oct  4 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-12.svn1943
- update gimlet to 1.1.1 which fixes problems on 64bit,
  with gimlet-1.1.0_1.1.1.diff (Warren Togami,132950)
- update iiimf-qt with iiimqcf-update.diff (svn1946)
- remove im-sdk-newpy-noinst-lt.patch and reverse patch from
  im-sdk-20040203-build.patch
- build with -Wall

* Mon Oct  4 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-iiimp-bigendian.patch: removed, it's no longer needed.
- leif-freewnn-ia64.patch: applied to fix the unexpected exception. (#134181)

* Fri Oct  1 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-11.svn1943
- iiimsf-fix-htt-retrycounter.patch: applied to decrease the retrycounter when
  htt_server died unfortunately with any signal event.

* Fri Oct  1 2004 Jens Petersen <petersen@redhat.com>
- iiimqcf re-enabled for now (still experimental)
  - improve iiimqcf.pro-build.patch to use rpath to find iiim libs and
    link against libs in buildtree
  - install plugin in inputmethods/
  - pass LIBDIR to qmake when building
- disable freewnnLE and update comment about it

* Thu Sep 30 2004 Leon Ho <llch@redhat.com> - 1:12.0.1-10.svn1943
- add usermod to 'upgrade' existing user to proper home dir

* Thu Sep 30 2004 Akira TAGOH <tagoh@redhat.com>
- update to svn latest snapshot
  - fixed not working the aux object on 64bit architectures
    (Yu Shao, #134135, #134137)
  - fixed not working the switching LE menu (#134203)
- gimlet_iiim_conversion_mode_set-leftover.patch: removed, it's included in
  this snapshot.
- iiimqcf.pro-build.patch: updated to fix the rejected hunk.
- added iiimf-le-chewing package, but it's disabled by default.
- added the scriptlets for iiimf-le-freewnn.
- leif-chewing-fix-build.patch, leif-chewing-fix-build2.patch: applied to fix
  failing of build.

* Thu Sep 30 2004 Jens Petersen <petersen@redhat.com>
- fix broken hangulLE postun script (134184)
- make hangulLE and kole own %{im_dir}/locale/ko_KR (Lawrence Lim)

* Wed Sep 29 2004 Jens Petersen <petersen@redhat.com>
- improve iiimecf-init.el so that the input method is registered and autoloaded
  (Albert Vilella,125769)
- add README.iiimecf to explain that htt_server needs to listen on tcp for it
  to work

* Tue Sep 28 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-9.svn1936
- update to svn latest snapshot
  - major gimlet update: background icon now changes between
    an "off" and an "on" icon depending on the current state
    of the current input method and the current selected
    input language is written on it.  The appearance
    preferences has been cut out in preference to just using
    the desktop defaults.  When the input method status text
    is displayed in the panel, it now appears in a text
    label next to the language icon.  Fixes and improvements
    have also been made to the language quick menu.  See the
    changelog file for full details.
  - more hotkey changes in iiimcf and iiimp
- define %%branch to simplify definition of %%srclabel
- disable building of iiimqcf for now (immodule patch in qt-3.3.3-4 and later
  seems to break it)
- gimlet-lang-data.h is now upstream
- disable im-sdk-12.0.1-iiimp-disable-debug.patch for now (no longer applies)
- iiimgcf-always-status-to-atom.patch is now upstream
- gimlet-new-UI.patch is now obsolete
- add gimlet-status-under-app.patch to set the default status placement to be
  under-the-app
- added new helper files to gimlet filelist
- add gimlet_iiim_conversion_mode_set-leftover.patch to remove leftover line
- the following patches are upstream now:
  im-sdk-11.4-canna-aux.patch, im-sdk-12.0.1-canna-missing-keycode.patch,
  im-sdk-12.0.1-canna-swap-updown-and-leftright.patch,
  im-sdk-12.0.1-canna-calloc.patch, im-sdk-12.0.1-canna-int_vs_size_t.patch,
  leif-unit-indic-inscript-layouts.patch
- reduce im-sdk-11.4-sun-le-asia.patch to just touching configure.in

* Mon Sep 27 2004 Jens Petersen <petersen@redhat.com>
- run sendhup after removing LEs not before

* Wed Sep 22 2004 Jens Petersen <petersen@redhat.com>
- if not packaging freewnn LE remove it with "-f", since if FreeWnn-devel is
  not installed it doesn't get built

* Tue Sep 21 2004 Leon Ho <llch@redhat.com>
- fix im-sdk-12.0.1-iiimsf-xmlconf.patch for gcc
- remove duplicate deletion of freewnn

* Tue Sep 21 2004 Jatin Nansi <jnansi@redhat.com>
- add missing characters to the inscript layouts for UnitLE (as per the
  official layout) with leif-unit-indic-inscript-layouts.patch
- update the Bengali phonetic (probhat) layout in
  leif-unit-indic-phonetic-layouts.patch

* Fri Sep 17 2004 Jens Petersen <petersen@redhat.com>
- add switches to control building of iiimf-emacs and iiimf-qt
- add leif-hangul-just-ko.patch to make hangul LE only list itself under ko
  not ko_KR

* Thu Sep 16 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-8.svn1891
- im-sdk-12.0.1-canna-int_vs_size_t.patch: applied to fix another segfaults bug
  on 64bit architecture. (#132940)

* Wed Sep 15 2004 Akira TAGOH <tagoh@redhat.com> - 1:12.0.1-7.svn1891
- use %%{im_dir} macro for htt's home directory instead of /usr/lib/im.
  (#132632)

* Mon Sep 13 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-calloc.patch: applied to fix the corrupt memory access.
  (Warren Togami, #132108)
- im-sdk-12.0.1-canna-aux-refcount.patch: applied to destroy the aux object
  when it's not used. (#132508)
  NOTE: if the process is already running, you have to kill it first to get
        working properly.

* Thu Sep 09 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-6.svn1891
- im-sdk-12.0.1-iiimsf-letool-usage.patch: improve the help message.
- contained syscfg.h to iiimf-libs-devel.

* Wed Sep  8 2004 Jens Petersen <petersen@redhat.com> - 1:12.0.1-5.svn1891
- add iiimgcf-always-status-to-atom.patch to write to the status atom
  even when the status is attached to the application
- drop all explicit requires on iiimf-libs
- drop superfluous iiimf-gtk %%post requires
- LEs now require iiimf-server without specific EVR
- iiimf-server now requires iiimf-csconv without specific EVR

* Wed Sep 08 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-swap-updown-and-leftright.patch: updated to fix an enbug
  that not working properly for the keybinding on the preedit line.

* Tue Sep 07 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-4.svn1891
- disabled iiimf-le-newpy, iiimf-le-sun-korea and iiimf-le-sun-chinese package
  for now.
- iiimecf-init.el: fixed a typo (#131940)
- fixed a spec to build without those packages.

* Mon Sep 06 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-swap-updown-and-leftright.patch: applied to move
  the cursor up/down with Up/Down key on the candidate window.

* Mon Sep  6 2004 Jens Petersen <petersen@redhat.com>
- remove devel files from iiimf-gtk

* Fri Sep 03 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-canna-missing-keycode.patch: applied to deliver some missing
  keycode to cannaserver. (#120484)

* Wed Sep  1 2004 Jatin Nansi <jnansi@redhat.com> - 1:12.0.1-3.svn1891
- add phonetic layouts for Bengali, Devanagari, Gurmukhi and Gujarati for
  unitle with leif-unit-indic-phonetic-layouts.patch

* Wed Sep 01 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-12.0.1-iiimp-disable-debug.patch: don't output the debug message.
  (#131335)
- im-sdk-12.0.1-unix-domain-socket.patch: use /var/run/iiim instead of /tmp.
- im-sdk-12.0.1-iiimsf-disable-tcp.patch: don't listen on tcp by default.
  NOTE: all of the applications which is using IIIMF needs to be restarted as
        well after upgrading.

* Tue Aug 31 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-2.svn1891
- im-sdk-12.0.1-iiimsf-xmlconf.patch: applied to use the xml configuration
  files for all of configuration stuff. htt.conf will be replaced by
  htt.xml.conf then.
  NOTE: since htt.conf isn't marked as %%config, it's always replaced with new
        one. for people who modified it manually, old htt.conf will be stored
        as /etc/htt.conf.old. and /etc/iiim/htt.xml.conf is now marked as
        %%config.
        please modify it manually if you like. and please feel free to
        remove /etc/htt.conf.old after that.
- im-sdk-11.4-sysconfdir.patch: removed so that no longer need.
- im-sdk-11.4-htt-local-permit.patch: removed so that no longer need.
- im-sdk-11.4-iiimsf-xmlconf.patch: removed so that no longer need.

* Tue Aug 31 2004 Jens Petersen <petersen@redhat.com>
- drop fc2 compatibility symlink in /etc/init.d/ since it breaks chkconfig
  (Wes Shull, 129829)
- buildrequire FreeWnn-devel and flex if building -le-freewnn (Warren Togami)
- iiimf-emacs now requires emacs
- do not remove install root in %%prep

* Mon Aug 30 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-canna-aux.patch: applied to enable the aux window for
  Canna LE. (#122165)

* Thu Aug 26 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0.1-1.svn1891
- New upstream release.
- im-sdk-12.0.1-iiimp-bigendian.patch: fixed missing macros.

* Wed Aug 25 2004 Akira TAGOH <tagoh@redhat.com> 1:12.0-1.svn1887
- New upstream release.
  - fixed the root access always denied. (#128608)
- im-sdk-20040203-build.patch: updated to fix rejected hunk
- im-sdk-11.4-xiiimp-no-decoration.patch: no longer needed.
- im-sdk-11.4-xiiimp-no-taskbar.patch: no longer needed.
- im-sdk-11.4-xiiimp-hide-status-window.patch: no longer needed.
- im-sdk-11.4-xiiimp-locale.patch: no longer needed.

* Mon Aug 23 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-70.svn1875
- update to current svn snapshot
  - update iiimqcf.pro-build.patch again
- add a major update to gimlet with lots of bug fixes and UI cleanup
  to the applet, menus and tooltip with gimlet-new-UI.patch:
  the constrained pixmap is replaced by two simple clean text labels
  (one for the current input language and one for the status)
  - gimlet-init-visible.patch no longer needed
  - added some missing language names in native languages
  - run gnome-im-settings-daemon from xinput.d script again
  - by default status is under application now
  - separate the language data into gimlet-lang-data.h
- move .m4 files to a subdir of the aclocal dir (127117)

* Thu Aug 12 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-70.svn1856
- im-sdk-11.4-iiimsf-daemon.patch: get back daemon(3) to avoid the hangup
  in initscript.
- im-sdk-11.4-iiimsf-help.patch: show the help messages if -h or --help is
  given for htt, and exits immediately if htt_server returns the exit status
  of the unknown options. (#129720)
- im-sdk-11.4-iiimsf-xmlconf.patch: updated to fix segfault when the requested
  language is nothing.

* Thu Aug 12 2004 Jens Petersen <petersen@redhat.com>
- make le-sun-thai and le-sun-chinese obsolete le-sun-asia

* Wed Aug 11 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-69.svn1856
- update to upstream svn1856 snapshot
  - sun_le_korea-gcc34-prototype.patch no longer needed
  - update iiimqcf.pro-build.patch
  - drop the watchdog.c hunk in im-sdk-20040203-build.patch
  - im-sdk-11.4-iiimsf-errorhandling.patch is now upstream
- order subpackages lexically in spec file with LEs coming afterwards
- merge iiimf-client-lib and iiimf-protocol-lib into new iiimf-libs subpackage
  and their -devel packages into iiimf-libs-devel
- add header files from include dir to iiimf-libs-devel (127118)
- include aclocal .m4 files in iiimf-libs-devel doc dir (127117)
- order CONFIGDIRS as in top Makefile
- define %%configure and use it
- remove xiiimp.a and xiiimp.la from iiimf-x
- make all subdirs of im_dir owned
- fix ownership of gimlet files (129494)

* Mon Aug 09 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-69.svn1833
- im-sdk-11.4-iiimsf-errorhandling.patch:
  - use syslog(3) instead of perror(3)

* Fri Aug 06 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-iiimsf-errorhandling.patch:
  - don't eat 100% CPU. (#126647)
  - provide the error message on syslog when htt_server seriously failed.
  - don't retry unlimitedly. specify the number of times with -retry, otherwise
    watchdog program(htt) will try to run htt_server 5 times by default.

* Thu Aug  5 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-68.svn1833
- point url to IIIMF homepage
- change gimlet-init-visible.patch to init status to "GIMLET" instead of "OFF"
- split gimlet out of iiimf-gtk into iiimf-gnome-im-switcher
- add switches to control whether freewnn and Korean and Chinese Sun LEs get
  built and packaged or not: not sun_le_asia is always built and installed
  since it contains the Sun Thai LE which seems to work well
- split iiimf-le-sun-asia into iiimf-le-sun-chinese and iiimf-le-sun-thai
- build iiimf-le-freewnn for now

* Thu Aug 05 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-iiimsf-xmlconf.patch: updated.
  - check the module's path to get -ifpath_name working.
  - fixed the memory breakage.

* Sat Jul 31 2004 Jens Petersen <petersen@redhat.com>
- create %%qt_im_dir directory
- hardcode %%qt_im_dir to workaround buildsystem peculiarities

* Fri Jul 30 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-67.svn1833
- im-sdk-11.4-iiimsf-xmlconf.patch: updated.
  - if htt_server couldn't find out the LEs on the requested language, i.e. LE
    isn't registered to le.xml.conf by iiimf-le-tools, fallback to find out
    with the traditional way.
  - when LE is removed from le.xml.conf by iiimf-le-tools and it was last
    entry, remove le.xml.conf.
  - allow to run htt_server without le.xml.conf.
- send SIGHUP to reload the configuration when LEs are installed/removed.
- use %%preun instead of %%postun for removing LEs from the configuration file.

* Fri Jul 30 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-66.svn1833
- don't replace le.xml.conf when upgrade.
- don't run iiimf-le-tools on %%postun when upgrade.

* Thu Jul 29 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-65.svn1833
- update to 2004-07-26-1833 snapshot
  - no longer need im-sdk-11.4-gimlet-status-off-string.patch,
    im-sdk-11.4-newpy-hide-status-window.patch and
    im-sdk-11.4-unit-hide-status-window.patch
- include qt immodule in new subpackage iiimf-qt
  - add iiimqcf.pro-build.patch to find include files and libdirs
  - define %%qt_im_dir to install into
  - reset QTDIR for buildroots
- add gimlet-init-visible.patch to make gimlet visible at startup
- no longer run gnome-im-settings-daemon from xinput.d script
- use %%snapdate to carry the date of the snapshot
- drop intltools requirement of source pkg
- drop explicit buildrequires and requires for iiimf-gtk
- buildrequire libxml2-devel

* Thu Jul 29 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-iiimsf-xmlconf.patch: applied to determine default LE per
  languages.

* Mon Jul 26 2004 Jens Petersen <petersen@redhat.com>
- no longer include im-switch, since there is new system-switch-im package

* Tue Jul 20 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-65.svn1804
- update to svn revision 1804 snapshot
  - the following patches are no longer needed: im-sdk-11.4-gcc34.patch,
    im-sdk-11.4-canna-support-bs-and-del.patch,
    im-sdk-11.4-canna-user-init-file.patch,
    im-sdk-11.4-canna-draw-off-status.patch,
    im-sdk-11.4-canna-no-process-unrelated-keys.patch,
    im-sdk-11.4-canna-ignore-ctrl.patch,
    im-sdk-11.4-canna-hide-status-window.patch
  - update im-sdk-11.4-sun-le-korean.patch
  - disable im-sdk-11.4-hangul-hide-status-window.patch for now
  - add sun_le_korea-gcc34-prototype.patch
- drop explicit Canna-libs requirement of iiimf-le-canna 
- don't package freewnnLE for now
- clean buildroot before installing

* Tue Jul 13 2004 Jens Petersen <petersen@redhat.com>
- run gnome-im-settings-daemon for gimlet if available in xinput.d script
- fix im-switch to look at LC_CTYPE before LANG and exit properly in auto
  when no system config for language 
- drop unused patches from srpm
- update summary and description of src package

* Thu Jul  8 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-gimlet-status-off-string.patch: changed the off string to 'OFF'
  to avoid the confusion.
- im-sdk-11.4-unit-hide-status-window.patch: updated and applied again.

* Mon Jul  5 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-65.svn1772
- add a symlink "IIim" to the init.d script to smooth upgrades
- update im-switch to use alternatives and xinput.d

* Thu Jul  1 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-64.svn1772
- add comment about %%revision and %%release numbering
- add xinput.d script to iiimf-gtk and iiimf-x
- define macros to install and uninstall xinput.d script with alternatives
  currently for CJK and Indian locale
- only uninstall alternative if the iiimf xinput.d script has been totally
  removed (since both -x and -gtk own it)
- rename init.d script to all lowercase "iiim"
- drop unnecessary openmotif requirement and openmotif-devel buildrequires
  for newpy

* Wed Jun 30 2004 Yu Shao <yshao@redhat.com> 1:11.4-63.svn1772
- remove immodule script requirement, use package requirement of gtk2 only
- check existence before running: update-gtk-immodule or
  gtk-query-immodules-2.0

* Tue Jun 29 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-gcc34.patch: applied to fix the build issue with gcc34.

* Mon Jun 28 2004 Dan Williams <dcbw@redhat.com> - 1:11.4-62.svn1772
- Fix useage of "%{_bindir}/update-gtk-immodules %{_host}" to point to right
    place and architecture

* Fri Jun 25 2004 Matthias Clasen <mclasen@redhat.com> - 1:11.4-62.svn1772
- Update to the new mechanism of updating arch-dependent gtk config files.

* Fri Jun 25 2004 Yu Shao <yshao@redhat.com> 1:11.4-62
- enable sun_le_asia and sun_le_korea for revision 1772 snapshot build 
- Patch351: im-sdk-11.4-sun-le-asia.patch
- Patch352: im-sdk-11.4-sun-le-korean.patch

* Wed Jun 23 2004 Jens Petersen <petersen@redhat.com>
- append svn revision to %%release (116223)
- im-switch: don't override i18n file (Descender,126542)
  and output string improvements
- iiimecf-init.el: don't be the default input method by default

* Mon Jun 21 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-hangul-hide-status-window.patch: applied to fix another problem.
  the upstream's one isn't enough to fix the problem.
- im-sdk-11.4-xiiimp-hide-status-window.patch: updated to fix the status window
  for Canna LE in this release.

* Sun Jun 20 2004 Yu Shao <yshao@redhat.com> 1:11.4-60
- openi18n revision 1772 snapshot build 

* Thu Jun 17 2004 Yu Shao <yshao@redhat.com> 1:11.4-46
- rebuild for fc2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 08 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-newpy-hide-status-window.patch: applied to hide the status window
  when it's witched off. (#118114)
- im-sdk-11.4-unit-hide-status-window.patch: likewise. (#118114)

* Thu Jun 03 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-xiiimp-locale.patch: fixed to run httx with .UTF-8 locale.

* Wed May 19 2004 Akira TAGOH <tagoh@redhat.com>
- im-sdk-11.4-xiiimp-no-taskbar.patch: another fix to hide the status window
  from the taskbar. (#121818)
- im-sdk-11.4-canna-hide-status-window.patch: applied to hide the status window
  when it's switched off. (#118114)
- im-sdk-11.4-hangul-hide-status-window.patch: likewise. (#118114)
- im-sdk-11.4-xiiimp-hide-status-window.patch: likewise. (#118114)
- im-sdk-11.4-gimlet-status-off-string.patch: applied to show the status when
  given status is empty. (#118114)

* Wed May 19 2004 Yu Shao <yshao@redhat.com> 1:11.4-44
- fixed bug #123021, Changing preferences causes gimlet to eat 80% of CPU 

* Fri May 14 2004 Jens Petersen <petersen@redhat.com>
- improve im-switch's option handling and help somewhat

* Mon May 10 2004 Warren Togami <wtogami@redhat.com> 1:11.4-43
- im-sdk-11.4-htt-local-permit.patch: Allow htt connections when DNS does not
  match: fixes CJK for many users.  FC2 BLOCKER #121480

* Mon May 10 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-42
- im-sdk-11.4-initscript-lock.patch: to avoid the conflicts, which causes 100%
  CPU eaten. (Warren Togami, FC2 BLOCKER #122631)

* Fri Apr 23 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-41
- im-sdk-11.4-xiiimp-no-decoration.patch: disabled all of the window decoration
  for the status window. (#121018)

* Mon Apr 19 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-40
- fixed an owner of im-switch (FC2 BLOCKER #121136)

* Sat Apr 17 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-39
- add im-switch script to iiimf-x (Leon Ho)
- build iiimecf and put in iiimf-emacs subpackage
  - buildrequire emacs and add iiimecf-init.el to site-start.d
- buildrequire gnome-panel-devel not gnome-panel

* Fri Apr 16 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-38
- gave %dir /usr/lib/im to the packages, which is needed.
- removed %dir /usr/lib/im from iiimf-server.
  it no longer contains that directory.
- im-sdk-11.4-canna-ignore-ctrl.patch: applied to fix "should ignore Ctrl key"
  issue. (#120484)
- im-sdk-11.4-hangul-ignore-ctrl.patch: applied to fix "should ignore Ctrl key"
  issue. (#120484)

* Thu Apr 15 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-37
- im-sdk-11.4-sysconfdir.patch: applied to move htt.conf to /etc.
  it's comfortable for SELinux and FHS.
- im-sdk-bin_dir.patch: modified to move htt_xbe to /usr/bin as well.
  it's actually running by the user. not system command.
- removed /usr/lib/im/bin/*. no need to ship rubbishes.

* Tue Apr 6 2004 Yu Shao <yshao@redhat.com>
- fixed a bug of candidates in lookup window are mixed up when there are 
  multiple characters for each candidate, updated Patch13: 
  im-sdk-x-xft.patch -35
- moved httx into bindir -35
- fixed a English typo from upstream, bug #120152 -36

* Sun Apr 4 2004 Yu Shao <yshao@redhat.com>
- fixed bug #119419

* Thu Apr 01 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-33
- rebuilt against the latest Canna to satisfy the dependency.

* Sun Mar 28 2004 Yu Shao <yshao@redhat.com> 1:11.4-32
- fixed typos in -bin_dir.patch

* Fri Mar 26 2004 Yu Shao <yshao@redhat.com> 1:11.4-31
- moved all binaries to /usr/sbin to make SElinux happy

* Thu Mar 25 2004 Yu Shao <yshao@redhat.com> 1:11.4-30
- update patch from #118702 and #118650
- rebuild to get GTK2_BINARY_VERSION updated

* Sun Mar 21 2004 Yu Shao <yshao@redhat.com> 1:11.4-29
- fixed a bug in im-sdk-x-xft.patch causing httx to crash when apps quit

* Sun Mar 21 2004 Yu Shao <yshao@redhat.com> 1:11.4-28
- updated patch im-sdk-x-xft.patch
- added patch for bug 118702, im-sdk-iiimgcf-candwin_reposition.patch

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com> 1:11.4-27
- Removed XFree86-libs dependancy, as this makes the package dependant on
  the specific XFree86 implementation and makes it impossible to remove
  XFree86 from the distribution and replace it with xorg-x11.  If there is
  particular requirement here, be sure to use versioned BuildRequires on the
  XFree86-devel package instead in the main package section, and the libs
  should automatically get picked up by rpm find-requires during packaging,
  without the explicit Requires.  (#118474)
- Added "Requires(post,postun): %{_bindir}/gtk-query-immodules-2.0" to the
  iiimf-gtk subpackage
- Added the following dependancies to the iiimf-server subpackage:
  - Requires(pre):  /usr/sbin/useradd
  - Requires(post): /sbin/chkconfig
  - Requires(preun): /sbin/service, /sbin/chkconfig, /usr/sbin/userdel
  - Requires(postun): /sbin/service
- Use /sbin/service explicitly in rpm scripts
- Fixed bug where /sbin/userdel was being called instead of /usr/sbin/userdel
  in the iiimf-server preun script

* Fri Mar 12 2004 Yu Shao <yshao@redhat.com>
- disable patch gimlet-korean-name-115423.patch, to fix gimlet won't start bug
  (#115423)

* Thu Mar 11 2004 Yu Shao <yshao@redhat.com>
- updated to latest revision 1587

* Thu Mar 11 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-24
- install htt in %{_sbindir} and httx in %{_bindir} (part of #117931)
- update im-sdk-11.4-initscript.patch to use %{_sbindir}/htt
  and improve start and stop messages (#117455)
- only "make config" for subdirs we don't run autogen.sh in
- export CFLAGS in %%build

* Thu Mar 4 2004 Yu Shao <yshao@redhat.com>
- add xft patch to display candidate characters properly in httx(#117355)
- fix package requirements(#117353)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 29 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Fri Feb 27 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-20
- make iiimf-server obsolete im-sdk

* Fri Feb 27 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-19
- im-sdk-11.4-canna-no-process-unrelated-keys.patch: applied to allow working
  unrelated keys during no preediting. (#114002)
- im-sdk-11.4-canna-draw-off-status.patch: fixed crash issue.

* Thu Feb 26 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-18
- im-sdk-11.4-canna-user-init-file.patch: applied to allow to use user owned
  .canna file.
- im-sdk-11.4-canna-draw-off-status.patch: applied to fix empty status window
  (#116444)
- im-sdk-11.4-initscript.patch: use --user for htt daemon and don't use suid.
  (#116904)

* Wed Feb 25 2004 Yu Shao <yshao@redhat.com>
- let htt, httx run as user htt instead of root(#116556) 

* Tue Feb 24 2004 Akira TAGOH <tagoh@redhat.com> 1:11.4-16
- im-sdk-11.4-canna-support-bs-and-del.patch: hopefully applied to fix #112291.

* Fri Feb 20 2004 Yu Shao <yshao@redhat.com>
- updated im-sdk-20040203-build.patch, closed init start bug (#115285) 

* Fri Feb 20 2004 Jens Petersen <petersen@redhat.com> - 1:11.4-14
- do not specify Canna version, instead make leif modules executable for
  find-requires (#113999)
- avoid newpy libtool lib install with im-sdk-newpy-noinst-lt.patch
- buildrequire openmotif-devel, iiimf-le-newpy requires openmotif
- make subpackage require current EVR
- improve subpackage groups and drop superfluous autoreqprov's
- rename prefix to im_dir and use it throughout

* Thu Feb 19 2004 Yu Shao <yshao@redhat.com>
- build errors, patches from Jens Petersen (#116224)

* Thu Feb 19 2004 Jens Petersen <petersen@redhat.com>
- iiimf-le-canna requires Canna-libs not Canna (#113999)
- use "=" not ">=" for the Canna version dependency

* Wed Feb 18 2004 Warren Togami <wtogami@redhat.com> r11.4-13
- BR automake16, libtool, GConf2-devel, libglade2-devel, gnome-panel, gettext
- spec cleanups

* Mon Feb 16 2004 Yu Shao <yshao@redhat.com> r11.4-12
- #115423, Patch from Jens Petersen

* Mon Feb 16 2004 Yu Shao <yshao@redhat.com> r11.4-11
- #115215, init script doesn't show ok bug
- #113922, gconf error bug

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 10 2004 Yu Shao <yshao@redhat.com> r11.4-9
- #115217, gnonme-im-switcher-applet doesn't start bug

* Fri Feb 6 2004 Yu Shao <yshao@redhat.com> r11.4-8
- more bug fixes, gtk crashing #112290, library inclusion #113925

* Wed Feb 5 2004 Yu Shao <yshao@redhat.com> r11.4-7
- more bug fixes, canna requirement and initscript

* Tue Feb 4 2004 Yu Shao <yshao@redhat.com> r11.4-6
- exclude .svn and change the version using dot
- add obsolete im-sdk and intltool version requirements

* Tue Feb 4 2004 Yu Shao <yshao@redhat.com> r11_4-5
- latest snapshot from openi18n.org

* Fri Jan 9 2004 Yu Shao <yshao@redhat.com> r11_4-4
- fixed packages requirements 

* Fri Dec 19 2003 Yu Shao <yshao@redhat.com> r11_4-3
- latest snapshot build and package splitting according to the 
  discussions on openi18n-im@openi18n.org

* Tue Nov 25 2003 Thomas Woerner <twoerner@redhat.com> 1:11_4-2
- fixed libdir problem

* Tue Nov 18 2003 Thomas Woerner <twoerner@redhat.com>
- Fixed RPATH: Fixed prefix in %%build, simplified %%install,
  Readded BuildRequires for Canna-devel (for CannaLE.so, ..)

* Tue Aug 26 2003 Yu Shao <yshao@redhat.com> r11_4
- im-sdk r11_4 release build
  obsolete Patch4: xiiimp-status_no_status_text.patch

* Tue Jul 29 2003 Bill Nottingham <notting@redhat.com> r11_3.3
- fix build on ia64, enable it

* Thu Jun 19 2003 Yu Shao <yshao@redhat.com> r11_3.2
- added Patch4: xiiimp-status_no_status_text.patch

* Wed Jun 18 2003 Yu Shao <yshao@redhat.com> r11_3.1
- im-sdk r11_3 new release build
  updated im-sdk-20030618-build.patch and
          im-sdk-20030618-varargs.patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 20030507-3
- fix to build with gcc 3.3

* Thu May 8 2003 Yu Shao <yshao@redhat.com> 20030507-2
- im-sdk r11_2 missing library fix

* Wed May 7 2003 Yu Shao <yshao@redhat.com> 20030507-1
- im-sdk r11_2 release

* Fri May 2 2003 Yu Shao <yshao@redhat.com> 20030327-3
- patch to fix broken dep #89813

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 20030327-2
- rebuild to fix broken dep

* Thu Mar 27 2003 Yu Shao <yshao@redhat.com>
- new r11_1 build

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Sun Feb 23 2003 Tim Powers <timp@redhat.com>
- added buildprereq on tcp_wrappers

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Yu Shao <yshao@redhat.com>
- added several 64bit patches to build it on all 
  architectures

* Mon Jan 20 2003 Yu Shao <yshao@redhat.com>
- new 20030118 build

* Thu Jan 16 2003 Yu Shao <yshao@redhat.com>
- new codebase with EIMIL/PCE interim implemention
- spec file update
- im-sdk-20030110-buildpatch.patch

* Thu Oct 7 2002 Yu Shao <yshao@redhat.com>
- experimental implementation IIIMSF CVS

* Thu Oct 3 2002 Yu Shao <yshao@redhat.com>
- new stable branch CVS

* Thu Aug 15 2002 Yu Shao <yshao@redhat.com>
- new 20020813 CVS, disable patch2

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 20011223-7
- build using gcc-3.2-0.1

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 20011223-6
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Add some fix for ia64,alpha
- Add strlcpy/strlcat patch, #61898

* Sun Dec 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
